import { OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { ListEventService } from '../list-item/list-event.service';
import { ListActivatedService } from '../list-item/list-activated.service';
export declare class ListSlidingComponent implements OnInit, OnDestroy {
    private listEventService;
    private scale;
    private listActivatedService;
    private renderer;
    transitionDuration: string;
    transform: string;
    private subs;
    private distanceX;
    private refs;
    private isFocus;
    constructor(listEventService: ListEventService, scale: number, listActivatedService: ListActivatedService, renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    touchstart(event: any): void;
}
